// This file may be redistributed and modified only under the terms of
// the GNU General Public License (See COPYING for details).
// Copyright (C) 2003 - 2006 Simon Goodall

package WFUT;

import java.io.*;
import java.util.*;

class ChannelWriter {
  public static void writeChannel(final FileWriter output, final Channel channel) throws IOException {
    output.write("  <channel name=\"" + channel.getName() + "\">\n");
    output.write("    <description>" + channel.getDescription() + "</description>\n");
    output.write("    <url>" + channel.getURL() + "</url>\n");
    output.write("    <email>" + channel.getEmail() + "</email>\n");
    output.write("    <logo>" + channel.getLogo() + "</logo>\n");
    output.write("  </channel>\n");
  }

  public static void writeChannelList(final String filename, final List channels) throws IOException {
    final FileWriter output = new FileWriter(filename);
    // Write header
    output.write("<?xml version=\"1.0\"?>\n");
    output.write("<?xml-stylesheet type=\"text/xsl\" href=\"channels.xsl\"?>\n");
    output.write("<channelList>\n");
    // Write files
    Iterator itr = channels.iterator();
    while (itr.hasNext()) {
      Channel channel = (Channel)itr.next();
      writeChannel(output, channel);
    }
    // Write footer
    output.write("</channelList>\n");
    output.close();
  }
}
